Activate Project
POST
/api/upload/projects/{project_id}/activate
const url = 'https://example.com/api/upload/projects/example/activate';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/upload/projects/example/activateActivate a project by its external project_id (UUID-like), confirm offers, and generate target rows where needed. Returns the internal numeric id and new state.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ActivateProjectResponse
object
project_id
required
Project Id
Canonical external string ID for the project (UUID-like)
string
state
required
State
Lifecycle state of the project after activation
string
Examplegenerated
{ "project_id": "example", "state": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}